Retrieve product inventory
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"inventory": [
{
"variant_id": "<string>",
"variant_name": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"sku": "<string>",
"warehouse_name": "<string>",
"received_quantity": 123,
"reserved_quantity": 123,
"sold_quantity": 123,
"adjusted_quantity": 123,
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
]
}
]
}
}Catalog
Retrieve product inventory
Retrieve product inventory
GET
/
catalog
/
products
/
{id}
/
inventory
Retrieve product inventory
Was this page helpful?
⌘I